import * as ec2 from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
export interface PublicRoutingVpcProps {
    readonly vpcName?: string;
    readonly ipAddresses?: ec2.IIpAddresses;
    readonly natGateways?: number;
    readonly subnetCidrMask?: number;
}
export declare class PublicRoutingVpc extends ec2.Vpc {
    constructor(scope: Construct, id: string, props?: PublicRoutingVpcProps);
}
